Skip to main content
Version: Next (5.0)

AWE Rest API

Rest API to access AWE services

Version: v1.0.0

This page is generated from the OpenAPI description of the AWE REST API. See the REST API module to enable it and to configure its authentication.

Authentication​

  • bearerAuth: HTTP bearer, JWT. AWE local JWT token obtained from /api/authenticate.

Authentication API​

Authentication service

POST /api/authenticate​

Authentication service.

Provides a JWT token to be sent as http header in services that require authentication.

Security: none (public)

Request body

Responses

StatusDescriptionBody
200Success. Authorized OKLoginResponse
400Bad requestAweRestResponse
401Unauthorized. User not found, invalid credentials or expired password (code PASSWORD_EXPIRED: the password has to be changed in the web application)AweRestResponse
500Internal errorAweRestResponse

Protected API​

Protected admin interface to launch AWE services

POST /api/data/{queryId}​

Query service.

Launch a query given query id and parameters.

Security: bearerAuth (HTTP bearer, JWT)

Parameters

NameInTypeRequiredDescription
queryIdpathstringyesQuery ID

Request body

Responses

StatusDescriptionBody
200Success. Query launched OKAweRestResponse
400Bad request. Query not definedAweRestResponse
401Unauthorized. User not found or invalid credentialsAweRestResponse
500Internal errorAweRestResponse

POST /api/maintain/async/{maintainId}​

Maintain service.

Launch a maintain given maintain id and parameters, and launch a callback function on maintain end

Security: bearerAuth (HTTP bearer, JWT)

Parameters

NameInTypeRequiredDescription
maintainIdpathstringyes

Request body

Responses

StatusDescriptionBody
200Success. Maintain launched OKAweRestResponse
400Bad request. Maintain not definedAweRestResponse
401Unauthorized. User not found or invalid credentialsAweRestResponse
500Internal errorAweRestResponse

POST /api/maintain/{maintainId}​

Maintain service.

Launch a maintain given maintain id and parameters.

Security: bearerAuth (HTTP bearer, JWT)

Parameters

NameInTypeRequiredDescription
maintainIdpathstringyes

Request body

Responses

StatusDescriptionBody
200Success. Maintain launched OKAweRestResponse
400Bad request. Maintain not definedAweRestResponse
401Unauthorized. User not found or invalid credentialsAweRestResponse
500Internal errorAweRestResponse

Public API​

Public admin interface to launch AWE services

POST /api/public/data/{queryId}​

Public Query service.

Launch a public query given query id and parameters.

Security: none (public)

Parameters

NameInTypeRequiredDescription
queryIdpathstringyesQuery ID

Request body

Responses

StatusDescriptionBody
200Success. Query launched OKAweRestResponse
400Bad request. Query not definedAweRestResponse
401Unauthorized. User not found or invalid credentialsAweRestResponse
500Internal errorAweRestResponse

POST /api/public/maintain/{maintainId}​

Maintain service.

Launch a public maintain given maintain id and parameters.

Security: none (public)

Parameters

NameInTypeRequiredDescription
maintainIdpathstringyes

Request body

Responses

StatusDescriptionBody
200Success. Maintain launched OKAweRestResponse
400Bad request. Maintain not definedAweRestResponse
401Unauthorized. User not found or invalid credentialsAweRestResponse
500Internal errorAweRestResponse

Schemas​

AweRestResponse​

AWE rest response model

PropertyTypeRequiredDescription
codestringnoError code that tells apart the cause of an authentication error (for example PASSWORD_EXPIRED)
dataListDataListno
messagestringno
resultDetailsarray of MaintainResultDetailsno
titlestringno
typestring (error, ok, warning, info)no

DataList​

PropertyTypeRequiredDescription
pageinteger (int64)no
recordsinteger (int64)no
rowsarray of map of anyno
totalinteger (int64)no

JsonNode​

Type: any

LoginRequest​

PropertyTypeRequiredDescription
passwordstringyesUser password
usernamestringyesUser name

LoginResponse​

PropertyTypeRequiredDescription
expiresAtstring (date-time)noJWT expiration token
issuerstringnoIssuer of authentication token
tokenstringnoJWT Token
usernamestringnoUser name

MaintainResultDetails​

PropertyTypeRequiredDescription
operationTypestring (A, C, D, E, I, M, N, S, Q, U, T, G)no
parameterMapmap of JsonNodeno
rowsAffectedinteger (int64)no

RequestParameter​

Query parameters

PropertyTypeRequiredDescription
parametersmap of anynoParameter values can be a list